Package org.eclipse.rdf4j.sail

## Class RDFNotifyingStoreTest

- java.lang.Object
- - org.eclipse.rdf4j.sail.RDFStoreTest
  - - org.eclipse.rdf4j.sail.RDFNotifyingStoreTest

- All Implemented Interfaces:
    `SailChangedListener`

      public abstract class RDFNotifyingStoreTest
      extends RDFStoreTest
      implements SailChangedListener

  A JUnit test for testing Sail implementations that store RDF data. This is purely a test for data storage and retrieval which assumes that no inferencing or whatsoever is performed. This is an abstract class that should be extended for specific Sail implementations.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.RDFStoreTest

      `con, context1, context2, guernica, nightwatch, painter, painting, paints, picasso, rembrandt, sail, to, vf`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RDFNotifyingStoreTest()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract NotifyingSail` | `createSail()` | Gets an instance of the Sail that should be tested.
    `void` | `sailChanged​(SailChangedEvent event)` | Notifies the listener of a change to the data of a specific Sail.
    `void` | `setUp()` |
    `void` | `testNotifyingRemoveAndClear()` |

    - ### Methods inherited from class org.eclipse.rdf4j.sail.RDFStoreTest

      `countAllElements, countContext1Elements, countQueryResults, setUpClass, tearDown, testAddData, testAddWhileQuerying, testBNodeReuse, testClearNamespaces, testClose, testContexts, testCreateURI1, testCreateURI2, testDecimalRoundTrip, testDualConnections, testDuplicateCount, testDuplicateCountAfterComit, testDuplicateCountMultipleTimes, testDuplicateGetStatement, testDuplicateGetStatementAfterCommit, testEmptyRepository, testGetContextIDs, testGetNamespace, testGetNamespaces, testInvalidDateTime, testLongLangRoundTrip, testLongLiteralRoundTrip, testLongURIRoundTrip, testNullNamespaceDisallowed, testNullPrefixDisallowed, testOldURI, testQueryBindings, testReallyLongLiteralRoundTrip, testRemoveAndClear, testRemoveNamespaces, testSize, testStatementEquals, testStatementSerialization, testTimeZoneRoundTrip, testValueRoundTrip1, testValueRoundTrip2, testValueRoundTrip3, testValueRoundTrip4, testValueRoundTrip5`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDFNotifyingStoreTest

          public RDFNotifyingStoreTest()

  - ### Method Detail

    - #### createSail

          protected abstract NotifyingSail createSail()
                                               throws SailException

      Gets an instance of the Sail that should be tested. The returned repository should already have been initialized.
      Specified by:
        `createSail` in class `RDFStoreTest`
      Returns:
        an initialized Sail.
      Throws:
        `SailException` - If the initialization of the repository failed.

    - #### setUp

          public void setUp()
                     throws Exception

      Overrides:
        `setUp` in class `RDFStoreTest`
      Throws:
        `Exception`

    - #### testNotifyingRemoveAndClear

          public void testNotifyingRemoveAndClear()
                                           throws Exception

      Throws:
        `Exception`

    - #### sailChanged

          public void sailChanged​(SailChangedEvent event)

      Description copied from interface: `SailChangedListener`
      Notifies the listener of a change to the data of a specific Sail.
      Specified by:
        `sailChanged` in interface `SailChangedListener`